Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GenPreferenceImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.GenPreferenceImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, GenPreference

    public class GenPreferenceImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements GenPreference

An implementation of the model object 'Gen Preference'.

The following features are implemented:

- `Page`
- `Name`
- `Key`
- `Default Value`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static java.lang.String` `DEFAULT_VALUE_EDEFAULT` The default value of the '`Default Value`' attribute
`protected java.lang.String` `defaultValue` The cached value of the '`Default Value`' attribute
`protected java.lang.String` `key` The cached value of the '`Key`' attribute
`protected static java.lang.String` `KEY_EDEFAULT` The default value of the '`Key`' attribute
`protected java.lang.String` `name` The cached value of the '`Name`' attribute
`protected static java.lang.String` `NAME_EDEFAULT` The default value of the '`Name`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenPreferenceImpl()`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` `eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getDefaultValue()`
`java.lang.String` `getKey()` Returns the value of the 'Key' attribute
`java.lang.String` `getKeyGen()`
`java.lang.String` `getName()`
`GenCustomPreferencePage` `getPage()`
`void` `setDefaultValue(java.lang.String newDefaultValue)`
`void` `setKey(java.lang.String newKey)`
`void` `setName(java.lang.String newName)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### NAME_EDEFAULT

    protected static final java.lang.String NAME_EDEFAULT

  The default value of the '`Name`' attribute.

  See Also:
    `getName()`
  ** Generated **
  Ordered:

### name

    protected java.lang.String name

  The cached value of the '`Name`' attribute.

  See Also:
    `getName()`
  ** Generated **
  Ordered:

### KEY_EDEFAULT

    protected static final java.lang.String KEY_EDEFAULT

  The default value of the '`Key`' attribute.

  See Also:
    `getKey()`
  ** Generated **
  Ordered:

### key

    protected java.lang.String key

  The cached value of the '`Key`' attribute.

  See Also:
    `getKey()`
  ** Generated **
  Ordered:

### DEFAULT_VALUE_EDEFAULT

    protected static final java.lang.String DEFAULT_VALUE_EDEFAULT

  The default value of the '`Default Value`' attribute.

  See Also:
    `getDefaultValue()`
  ** Generated **
  Ordered:

### defaultValue

    protected java.lang.String defaultValue

  The cached value of the '`Default Value`' attribute.

  See Also:
    `getDefaultValue()`
  ** Generated **
  Ordered:

Constructor Detail

### GenPreferenceImpl

    protected GenPreferenceImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`
  ** Generated **

### getPage

    public GenCustomPreferencePage getPage()

  Specified by:
    `getPage` in interface `GenPreference`
  Returns:
    the value of the 'Page' container reference.
  See Also:
    `GMFGenPackage.getGenPreference_Page()`, `GenCustomPreferencePage.getPreferences()`
  ** Generated **

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `GenPreference`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `GenPreference.setName(String)`, `GMFGenPackage.getGenPreference_Name()`
  ** Generated **

### setName

    public void setName(java.lang.String newName)

  Specified by:
    `setName` in interface `GenPreference`
  Parameters:
    `newName` - the new value of the 'Name' attribute.
  See Also:
    `GenPreference.getName()`
  ** Generated **

### getKeyGen

    public java.lang.String getKeyGen()

  ** Generated **

### getKey

    public java.lang.String getKey()

  Description copied from interface: `GenPreference`
  Returns the value of the 'Key' attribute. Preference key, derived from constant name if not set

  Specified by:
    `getKey` in interface `GenPreference`
  Returns:
    the value of the 'Key' attribute.
  See Also:
    `GenPreference.setKey(String)`, `GMFGenPackage.getGenPreference_Key()`

### setKey

    public void setKey(java.lang.String newKey)

  Specified by:
    `setKey` in interface `GenPreference`
  Parameters:
    `newKey` - the new value of the 'Key' attribute.
  See Also:
    `GenPreference.getKey()`
  ** Generated **

### getDefaultValue

    public java.lang.String getDefaultValue()

  Specified by:
    `getDefaultValue` in interface `GenPreference`
  Returns:
    the value of the 'Default Value' attribute.
  See Also:
    `GenPreference.setDefaultValue(String)`, `GMFGenPackage.getGenPreference_DefaultValue()`
  ** Generated **

### setDefaultValue

    public void setDefaultValue(java.lang.String newDefaultValue)

  Specified by:
    `setDefaultValue` in interface `GenPreference`
  Parameters:
    `newDefaultValue` - the new value of the 'Default Value' attribute.
  See Also:
    `GenPreference.getDefaultValue()`
  ** Generated **

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.